> ## Documentation Index
> Fetch the complete documentation index at: https://conductorone-docs-ad-account-provisioning-setup.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Remove Entitlement Binding

> Invokes the c1.api.request_schema.v1.RequestSchemaService.RemoveEntitlementBinding method.



## OpenAPI

````yaml https://spec.speakeasy.com/conductor-one/conductorone/my-source-with-code-samples delete /api/v1/request_schema_entitlement_binding
openapi: 3.1.0
info:
  description: The ConductorOne API is a HTTP API for managing ConductorOne resources.
  title: ConductorOne API
  version: 0.1.0-alpha
servers:
  - description: The ConductorOne API server for the current tenant.
    url: https://{tenantDomain}.conductor.one
    variables:
      tenantDomain:
        default: example
        description: The domain of the tenant to use for this request.
security:
  - bearerAuth: []
    oauth: []
paths:
  /api/v1/request_schema_entitlement_binding:
    delete:
      tags:
        - Request Schema Entitlement Binding
      summary: Remove Entitlement Binding
      description: >-
        Invokes the
        c1.api.request_schema.v1.RequestSchemaService.RemoveEntitlementBinding
        method.
      operationId: c1.api.request_schema.v1.RequestSchemaService.RemoveEntitlementBinding
      requestBody:
        content:
          application/json:
            schema:
              $ref: >-
                #/components/schemas/c1.api.request_schema.v1.RequestSchemaServiceRemoveEntitlementBindingRequest
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/c1.api.request_schema.v1.RequestSchemaServiceRemoveEntitlementBindingResponse
          description: Successful response
      x-codeSamples:
        - lang: go
          label: RemoveEntitlementBinding
          source: "package main\n\nimport(\n\t\"context\"\n\t\"github.com/conductorone/conductorone-sdk-go/pkg/models/shared\"\n\tconductoronesdkgo \"github.com/conductorone/conductorone-sdk-go\"\n\t\"log\"\n)\n\nfunc main() {\n    ctx := context.Background()\n\n    s := conductoronesdkgo.New(\n        conductoronesdkgo.WithSecurity(shared.Security{\n            BearerAuth: \"<YOUR_BEARER_TOKEN_HERE>\",\n            Oauth: \"<YOUR_OAUTH_HERE>\",\n        }),\n    )\n\n    res, err := s.RequestSchema.RemoveEntitlementBinding(ctx, nil)\n    if err != nil {\n        log.Fatal(err)\n    }\n    if res.RequestSchemaServiceRemoveEntitlementBindingResponse != nil {\n        // handle response\n    }\n}"
        - lang: typescript
          label: Typescript (SDK)
          source: >-
            import { ConductoroneSDKTypescript } from
            "conductorone-sdk-typescript";


            const conductoroneSDKTypescript = new ConductoroneSDKTypescript({
              security: {
                bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
                oauth: "<YOUR_OAUTH_HERE>",
              },
            });


            async function run() {
              const result = await conductoroneSDKTypescript.requestSchema.removeEntitlementBinding();

              console.log(result);
            }


            run();
components:
  schemas:
    c1.api.request_schema.v1.RequestSchemaServiceRemoveEntitlementBindingRequest:
      description: The RequestSchemaServiceRemoveEntitlementBindingRequest message.
      properties:
        entitlementRef:
          $ref: '#/components/schemas/c1.api.app.v1.AppEntitlementRef'
        requestSchemaId:
          description: The requestSchemaId field.
          readOnly: false
          type: string
      title: Request Schema Service Remove Entitlement Binding Request
      type: object
      x-speakeasy-name-override: RequestSchemaServiceRemoveEntitlementBindingRequest
    c1.api.request_schema.v1.RequestSchemaServiceRemoveEntitlementBindingResponse:
      description: The RequestSchemaServiceRemoveEntitlementBindingResponse message.
      title: Request Schema Service Remove Entitlement Binding Response
      type: object
      x-speakeasy-name-override: RequestSchemaServiceRemoveEntitlementBindingResponse
    c1.api.app.v1.AppEntitlementRef:
      description: The AppEntitlementRef message.
      properties:
        appId:
          description: The appId field.
          readOnly: false
          type: string
        id:
          description: The id field.
          readOnly: false
          type: string
      title: App Entitlement Ref
      type: object
      x-speakeasy-name-override: AppEntitlementRef
  securitySchemes:
    bearerAuth:
      scheme: bearer
      type: http
    oauth:
      description: >-
        This API uses OAuth2 with the Client Credential flow.

        Client Credentials must be sent in the BODY, not the headers.

        For an example of how to implement this, refer to the
        [c1TokenSource.Token()](https://github.com/ConductorOne/conductorone-sdk-go/blob/3375fe7c0126d17e7ec4e711693dee7b791023aa/token_source.go#L101-L187)
        function.
      flows:
        clientCredentials:
          scopes: {}
          tokenUrl: /auth/v1/token
      type: oauth2

````